// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply from: "config.gradle"
buildscript {
    ext.kotlin_version = '1.3.41'

    repositories {
        google()
        jcenter()
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:3.5.3'
//        classpath 'com.android.tools.build:gradle:3.0.1'

        classpath 'com.github.dcendents:android-maven-gradle-plugin:2.0'
        classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.8.4'

        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"

        classpath 'com.jakewharton:butterknife-gradle-plugin:10.2.1'

        classpath 'com.novoda:bintray-release:0.9.2'
        classpath 'com.billy.android:cc-register:1.1.2'

        classpath 'org.greenrobot:greendao-gradle-plugin:3.2.2'

//        classpath 'org.aspectj:aspectjtools:1.8.13'    // add
//        classpath 'org.aspectj:aspectjrt:1.8.13'       // add
        classpath fileTree(dir: 'plugins', include: ['*.jar'])
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        mavenLocal()
        mavenCentral()
        maven { url "https://jitpack.io" }
        maven { url "https://maven.google.com" }//Support-library 需要 Google 仓库
        maven { url 'https://dl.bintray.com/poldz123/maven/' }
        maven { url 'http://www.idescout.com/maven/repo/' }
        //阿里云仓库
        maven { url "http://maven.aliyun.com/nexus/content/repositories/releases" }
        // 私有仓库地址
        maven { url "http://lib.gcssloop.com/repository/gcssloop-central/" }
        maven { url 'https://maven.aliyun.com/repository/google' }
        maven { url 'https://maven.aliyun.com/repository/jcenter' }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
